<?php

//	Favorite Icon
function autofocus_favicon() { ?>
	<link rel="shortcut icon" href="<?php echo bloginfo('stylesheet_directory') ?>/img/favicon.ico">
<?php }
add_action('wp_head', 'autofocus_favicon', 1);

//	Add a Home link to your menu
//	updated for Thematic 0.9.7.7
function childtheme_menu_args($args) {
		$args = array(
		'show_home' => false,
		'sort_column' => 'menu_order',
		'menu_class' => 'menu',
		'echo' => false
	);
	return $args;
} 
add_filter('wp_page_menu_args','childtheme_menu_args', 20);



function random_index() {
global $query_string;
query_posts('orderby=rand');
}
add_action ('thematic_above_indexloop', 'random_index');



//	Create Arrow Navigation
//	- Remove default thematic Blog Title
//	- Remove default navigation
function remove_thematic_actions() {
	remove_action('thematic_header','thematic_blogtitle',3);
	remove_action('thematic_navigation_above', 'thematic_nav_above', 2);
	remove_action('thematic_navigation_below', 'thematic_nav_below', 2);
}
add_action('init','remove_thematic_actions');

//	- Add new Thematic Blog Title
function autofocus_blogtitle() { ?>
	<div id="blog-title"><a href="<?php echo get_option('home') ?>/" title="<?php bloginfo('name') ?>" rel="home"><span><?php bloginfo('name') ?></span></a></div>
<?php }
add_action ('thematic_header', 'autofocus_blogtitle',3);

//	Add New Excerpt Word Count
function autofocus_excerpt_length($length) {
	//	Change the returned values to add more words to exceprts.
	if (is_archive() || is_search()) {
		return 45;
	} else {
		return 25;
} }
add_filter('excerpt_length', 'autofocus_excerpt_length'); 

// Change search input size
function af_search_form_size($search_form_length) {
	return 25;
}
add_filter('thematic_search_form_length', 'af_search_form_size');

//	Filter the default gallery display to include rel=fancybox-ID
//	- Source: http://wordpress.org/support/topic/add-relxyz-to-gallery-link
function add_fancy_box_rel($content) {
	global $post, $afoptions; 
	foreach ($afoptions as $afvalue) { 
	    if (isset($afvalue['id']) && get_option( $afvalue['id'] ) === FALSE && isset($afvalue['std'])) { $$afvalue['id'] = $afvalue['std']; } 
	    elseif (isset($afvalue['id'])) { $$afvalue['id'] = get_option( $afvalue['id'] ); } 
	}

	if ( $af_fancybox == 'true' ) {
		$pattern = "/<a(.*?)href=('|\")([^>]*).(bmp|gif|jpeg|jpg|png)('|\")(.*?)>(.*?)<\/a>/i";
		$replacement = '<a$1href=$2$3.$4$5 rel="fancybox-'.$post->ID.'"$6>$7</a>';
		$content = preg_replace($pattern, $replacement, $content);
	}

	return $content;
}
add_filter('the_content', 'add_fancy_box_rel', 12);
add_filter('get_comment_text', 'add_fancy_box_rel');

//	Show excerpts on Home pages and Archives
function autofocus_content($content) {
global $afoptions, $content;
	foreach ($afoptions as $afvalue) {
	    if (isset($afvalue['id']) && get_option( $afvalue['id'] ) === FALSE && isset($afvalue['std'])) { $$afvalue['id'] = $afvalue['std']; } 
	    elseif (isset($afvalue['id'])) { $$afvalue['id'] = get_option( $afvalue['id'] ); }
	}

	if ( is_home() & ($af_title_date == 'date')) {
		$content = 'none';
	} elseif ( is_archive() || is_home() || is_search() ) {
		$content = 'excerpt';
	} else {
		$content = 'full';
	}
	return $content;
}
add_filter('thematic_content', 'autofocus_content');
 
//	Add <p> Tags to Excerpts
//	- http://themeshaper.com/forums/topic/missing-paragraph-tags-in-the_excerpt
//	- Thanks Em hr!
function autofocus_excerpt_autop() {
	global $content;

	if ( strtolower($content) == 'full' ) {
		$post = get_the_content(more_text());
		$post = apply_filters('the_content', $post);
		$post = str_replace(']]>', ']]>', $post);

	} elseif ( strtolower($content) == 'excerpt') {
		$post = get_the_excerpt();

		//	Add in the <p> tags
		$post = wpautop($post);

	} elseif ( strtolower($content) == 'none') {

	} else {
		$post = get_the_content(more_text());
		$post = apply_filters('the_content', $post);
		$post = str_replace(']]>', ']]>', $post);
	}
	return $post;
}
add_filter('thematic_post','autofocus_excerpt_autop');




// Add the Featured/Sticky Post section 
function af_sticky_area() { 
global $afoptions, $post;
foreach ($afoptions as $afvalue) {
    if (isset($afvalue['id']) && get_option( $afvalue['id'] ) === FALSE && isset($afvalue['std'])) { $$afvalue['id'] = $afvalue['std']; } 
    elseif (isset($afvalue['id'])) { $$afvalue['id'] = get_option( $afvalue['id'] ); }
}

// Grab the ‘Blog’ category ID
$af_blog_catid = get_cat_ID($af_blog_cat);
$paged = (get_query_var('paged')) ? get_query_var('paged') : 1;

	if( is_home() && !is_paged() ) {

		// Add an intro Sidebar
		if (is_active_sidebar('intro-sidebar')) {
			echo thematic_before_widget_area('intro-sidebar');
			dynamic_sidebar('intro-sidebar');
			echo thematic_after_widget_area('intro-sidebar');
		} ?>

		<?php // if Sticky Posts exist show the sticky area
			if (get_option('sticky_posts') && ($af_sliding_sticky_area == 'false') ) { ?>

				<?php 
				// Set Up New Query
				$sticky = get_option('sticky_posts');
				$randomStickyNo = 0;
				$randomStickyNo = (rand()%(count($sticky)));
				$postno = $sticky[($randomStickyNo)];
				$temp = $stickyquery;
				$stickyquery = null;
				$stickyquery = new WP_Query();
				$stickyquery->query('orderby=rand&showposts=1&p=' . $postno); ?>
	
				<?php while ($stickyquery->have_posts()) : $stickyquery->the_post(); $do_not_duplicate = $post->ID; ?>
					<div id="sticky-feature">
	
					<?php if ($af_layout == 'default') { ?>
						<div id="post-<?php the_ID() ?>" class="<?php thematic_post_class(); ?> sticky-feature-post">
	
					<?php } elseif ($af_layout == 'grid') { ?>
						<div id="post-<?php the_ID() ?>" class="hentry post sticky">
	
					<?php } ?>
	
					<?php af_postheader_title_date(); ?>
					<?php af_postentrymeta_title_date(); ?>

					<?php if ( get_post_meta($stickyquery->post->ID, 'enable_flickr', true) ) { ?>
						<a href="<?php the_permalink() ?>" rel="bookmark" class="post-image-container">
						<?php 
						// Flickr Loop
						$af_flickr_photos = new phpFlickr($af_flickr_api_key);
						$flickr_user_id = getFlickrUserId($af_flickr_username);
						$images = $af_flickr_photos->photosets_getPhotos(get_post_meta( $stickyquery->post->ID, 'flickr_set', true ), NULL, NULL, 1); ?>	
						<?php foreach ($images['photoset']['photo'] as $image) { ?>
							<img style="max-width:800px;" src="<?php echo $af_flickr_photos->buildPhotoURL( $image, "large" ); ?>" alt="<?php echo $image['title']; ?>" />
						<?php } ?>
						</a>
					<?php } elseif ( has_post_thumbnail() ) { ?>
							<a href="<?php the_permalink() ?>" rel="bookmark" class="post-image-container"><?php the_post_thumbnail('aflarge'); ?></a>
					<?php } else { ?>
							<a href="<?php the_permalink() ?>" rel="bookmark" class="post-image-container"><?php the_post_image('aflarge'); ?></a>
					<?php } ?>
					
							<div class="entry-content">
					<?php the_excerpt(); ?>
							</div>
					
							<div class="entry-utility">
								<?php edit_post_link(__('Edit', 'thematic'), "\t\n\t\t\t\t\t<span class=\"edit-link\">", "</span>\n"); ?>
							</div><!-- .entry-utility -->
						</div>
					</div><!-- #sticky-feature -->
				<?php endwhile; ?>
				<?php $stickyquery = null; $temp = $stickyquery; ?>

	
			<?php } // if Sliding Featured Area option is true
				elseif (get_option('sticky_posts') && ($af_sliding_sticky_area == 'true')) { ?>
	
				<div id="featured-slider-container" class="anythingSlider">
					<div id="auto-slider" class="wrapper">
						<ul>
	
				<?php

	// Set Up New Query

	$sticky = get_option('sticky_posts');

	$randomStickyNo = 0;

	$randomStickyNo = (rand()%(count($sticky)));



	$postno = $sticky[($randomStickyNo)];

	$temp = null;



	$featuredstickyquery = $temp;

	$featuredstickyquery = new WP_Query();

	$featuredstickyquery->query(array(

	// 'orderby' => 'rand', 

	'showposts' => '10',

	'post__in' =>get_option('sticky_posts'),

	'orderby' => 'meta_value', 

	'meta_key' => 'sticky-order'

	)); 

?>
	
				<?php while ($featuredstickyquery->have_posts()) : $featuredstickyquery->the_post(); $do_not_duplicate = $post->ID; ?>
	
					<?php if ($af_layout == 'default') { ?>
						<li id="post-<?php the_ID() ?>" <?php post_class(); ?>>
	
					<?php } elseif ($af_layout == 'grid') { ?>
						<li id="post-<?php the_ID() ?>" <?php post_class(); ?>>
	
					<?php } ?>
	
					<?php af_postheader_title_date(); ?>
					<?php af_postentrymeta_title_date(); ?>
	
					<?php if ( get_post_meta($featuredstickyquery->post->ID, 'enable_flickr', true) ) { ?>
						<a href="<?php the_permalink() ?>" rel="bookmark" class="featured-post-image-container">
						<?php 
						// Flickr Loop
						$af_flickr_photos = new phpFlickr($af_flickr_api_key);
						$flickr_user_id = getFlickrUserId($af_flickr_username);
						$images = $af_flickr_photos->photosets_getPhotos(get_post_meta( $featuredstickyquery->post->ID, 'flickr_set', true ), NULL, NULL, 1); ?>	
						<?php foreach ($images['photoset']['photo'] as $image) { ?>
							<img style="max-width:800px;" src="<?php echo $af_flickr_photos->buildPhotoURL( $image, "large" ); ?>" alt="<?php echo $image['title']; ?>" />
						<?php } ?>
						</a>
					<?php } elseif ( has_post_thumbnail() ) { ?>
							<a href="<?php the_permalink() ?>" rel="bookmark" class="featured-post-image-container"><?php the_post_thumbnail('aflarge'); ?></a>
					<?php } else { ?>
							<a href="<?php the_permalink() ?>" rel="bookmark" class="featured-post-image-container"><?php the_post_image('aflarge'); ?></a>
					<?php } ?>
					
							<div class="entry-content">
								<?php the_excerpt(); ?>
							</div>
	
								<?php edit_post_link(__('Edit', 'thematic'), "\t\n\t\t\t\t\t<div class=\"entry-utility\"><span class=\"edit-link\">", "</span></div>\n"); ?>
	
						</li>
				<?php endwhile; ?>
				<?php $featuredstickyquery = $temp;
					$temp = null; ?>
	
						</ul>
					</div>
				</div><!-- #sticky-feature -->
	
			<?php } //end featured sliding option check ?>

			<?php query_posts(array(
					'post__not_in' => get_option('sticky_posts'),
					'caller_get_posts' => 1,
					'cat' => '-'.$af_blog_catid,
					'paged' => $paged,
					)); ?>

		<?php } //end sticky post check ?>

		<?php 	

		query_posts(array(

		'post__not_in' => get_option('sticky_posts'),
		
		'posts_per_page' => -1,

		'caller_get_posts' => 1,

		'cat' => '-3, -6,'.$af_blog_catid,

		'exclude' => $postno,

		'paged' => $paged,

		'orderby' => 'rand'

		)); 

?>

<?php }
add_action('thematic_above_indexloop','af_sticky_area');


function thematic_stickyloop() {
	do_action('thematic_sticky_indexloop');
} // end thematic_indexloop
function thematic_sticky_index_loop() {
		
		global $options, $blog_id;
		
		foreach ($options as $value) {
		    if (get_option( $value['id'] ) === FALSE) { 
		        $$value['id'] = $value['std']; 
		    } else {
		    	if (THEMATIC_MB) 
		    	{
		        	$$value['id'] = get_option($blog_id,  $value['id'] );
		    	}
		    	else
		    	{
		        	$$value['id'] = get_option( $value['id'] );
		    	}
		    }
		}
		/* Custom Query */
		$arg_spi = array(

		'showposts' => '10',

		'post__in' =>get_option('sticky_posts'),

		'orderby' => 'meta_value', 

		'meta_key' => 'sticky-order'

		);
		
		$spi = new WP_Query($arg_spi);
		
		/* Count the number of posts so we can insert a widgetized area */ $count = 1;
		while ( $spi->have_posts() ) : $spi->the_post();
		
				thematic_abovepost(); ?>

				<div id="post-<?php the_ID();
					echo '" ';
					if (!(THEMATIC_COMPATIBLE_POST_CLASS)) {
						post_class();
						echo '>';
					} else {
						echo 'class="';
						thematic_post_class();
						echo '">';
					}
     				thematic_postheader(); ?>
				</div><!-- #post -->

			<?php 
			
		endwhile;
}
add_action('thematic_sticky_indexloop', 'thematic_sticky_index_loop');

// Add AF+ Post entry-title for rollovers
function af_postheader_title_date() {
	global $afoptions, $post;
	foreach ($afoptions as $afvalue) {
	    if (isset($afvalue['id']) && get_option( $afvalue['id'] ) === FALSE && isset($afvalue['std'])) { $$afvalue['id'] = $afvalue['std']; } 
	    elseif (isset($afvalue['id'])) { $$afvalue['id'] = get_option( $afvalue['id'] ); }
	} ?>

	<?php if ($af_title_date == 'titledate') { ?>
		<h2 class="entry-title entry-hover-off"><a href="<?php the_permalink() ?>" title="<?php printf(__('Permalink to %s', 'thematic'), esc_html(get_the_title(), 1)) ?>" rel="bookmark"><?php the_title(); ?></a></h2>

	<?php } elseif ($af_title_date == 'datetitle') { ?>
		<h2 class="entry-title entry-hover-on"><a href="<?php the_permalink() ?>" title="<?php printf(__('Permalink to %s', 'thematic'), esc_html(get_the_title(), 1)) ?>" rel="bookmark"><?php the_title(); ?></a></h2>

	<?php } elseif ( ($af_title_date == 'title') ) { ?>
		<h2 class="entry-title entry-hover-on"><a href="<?php the_permalink() ?>" title="<?php printf(__('Permalink to %s', 'thematic'), esc_html(get_the_title(), 1)) ?>" rel="bookmark"><?php the_title(); ?></a></h2>
	
	<?php } elseif ( ($af_title_date == 'date') ) { ?>
		<h2 class="entry-title entry-hover-none"><a href="<?php the_permalink() ?>" title="<?php printf(__('Permalink to %s', 'thematic'), esc_html(get_the_title(), 1)) ?>" rel="bookmark"><?php the_title(); ?></a></h2>

	<?php }
}

// Add AF+ Post entry-meta for rollovers
function af_postentrymeta_title_date() {
	global $afoptions, $post;
	foreach ($afoptions as $afvalue) {
	    if (isset($afvalue['id']) && get_option( $afvalue['id'] ) === FALSE && isset($afvalue['std'])) { $$afvalue['id'] = $afvalue['std']; } 
	    elseif (isset($afvalue['id'])) { $$afvalue['id'] = get_option( $afvalue['id'] ); }
	} ?>

	<?php if ($af_title_date == 'titledate') { ?>
		<div class="entry-meta entry-hover-on">
			<span class="entry-date"><a href="<?php the_permalink() ?>" class="published" title="<?php the_time('Y-m-d\TH:i:sO') ?>" rel="bookmark"><abbr class="published" title="<?php the_time('Y-m-d\TH:i:sO') ?>"><?php the_time('j M') ?></abbr></a></span>
		</div>

	<?php } elseif ($af_title_date == 'datetitle') { ?>
		<div class="entry-meta entry-hover-off">
			<span class="entry-date"><a href="<?php the_permalink() ?>" class="published" title="<?php the_time('Y-m-d\TH:i:sO') ?>" rel="bookmark"><abbr class="published" title="<?php the_time('Y-m-d\TH:i:sO') ?>"><?php the_time('j M') ?></abbr></a></span>
		</div>

	<?php } elseif ($af_title_date == 'title') { ?>
		<div class="entry-meta entry-hover-none">
			<span class="entry-date"><a href="<?php the_permalink() ?>" class="published" title="<?php the_time('Y-m-d\TH:i:sO') ?>" rel="bookmark"><abbr class="published" title="<?php the_time('Y-m-d\TH:i:sO') ?>"><?php the_time('j M') ?></abbr></a></span>
		</div>

	<?php } elseif ($af_title_date == 'date') { ?>
		<div class="entry-meta entry-hover-on relative">
			<span class="entry-date"><a href="<?php the_permalink() ?>" class="published" title="<?php the_time('Y-m-d\TH:i:sO') ?>" rel="bookmark"><abbr class="published" title="<?php the_time('Y-m-d\TH:i:sO') ?>"><?php the_time('j M') ?></abbr></a></span>
		</div>

	<?php }
}

//	Custom Post Header
function autofocus_postheader() {
	global $post, $afoptions;
	foreach ($afoptions as $afvalue) {
	    if (isset($afvalue['id']) && get_option( $afvalue['id'] ) === FALSE && isset($afvalue['std'])) { $$afvalue['id'] = $afvalue['std']; } 
	    elseif (isset($afvalue['id'])) { $$afvalue['id'] = get_option( $afvalue['id'] ); }
	}


	$af_blog_catid = get_cat_ID($af_blog_cat);

	if ( is_page() && ( is_page_template('blog-template.php') || is_page_template('template-page-blog.php') ) ) { ?>
		<h1 class="page-title"><a href="<?php print get_category_feed_link($af_blog_catid, '') ?>" title="<?php _e('Blog Posts RSS feed', 'thematic'); ?>"><?php _e('Subscribe', 'thematic') ?></a><span><?php the_title(); ?></span></h1>

<?php } elseif ( is_page() ) { ?>
		<h1 class="entry-title"><?php the_title(); ?></h1>

<?php } elseif (is_404()) { ?>
		<h1 class="entry-title"><?php _e('Not Found', 'thematic') ?></h1>

<?php } elseif ( is_single() && in_category($af_blog_catid) ) { ?>
		<h1 class="entry-title"><?php the_title(); ?></h1>

<?php } elseif (is_single()) { ?>
		
		<?php if ( get_post_meta($post->ID, 'enable_flickr', true) ) { ?>
		
			<?php 
			// Flickr Loop
			$af_flickr_photos = new phpFlickr($af_flickr_api_key);
			$flickr_user_id = getFlickrUserId($af_flickr_username);
			$af_slider_count = get_post_meta($post->ID, 'slider_count_value', true);
			$images = $af_flickr_photos->photosets_getPhotos(get_post_meta( $post->ID, 'flickr_set', true ), NULL, NULL, $af_slider_count);
			?>
	
			<div id="gallery-slider-container" class="anythingSlider">
				<div class="wrapper">
					<ul>
				<?php foreach ($images['photoset']['photo'] as $image) { ?>
						<li><img style="max-width:800px;max-height:530px;" src="<?php echo $af_flickr_photos->buildPhotoURL( $image, "large" ); ?>" alt="<?php echo $image['title']; ?>" /></li>
				<?php } ?>
					</ul>
				</div>
			</div>

		<?php } elseif ( get_post_meta($post->ID, 'show_gallery', true) ) { ?>
		<div id="gallery-slider-container" class="anythingSlider">
			<div class="wrapper">
				<ul>
				<?php 
				$af_slider_count = get_post_meta($post->ID, 'slider_count_value', true);
				$args = array(
					'order'		  => 'ASC',
					'orderby'		 => 'menu_order ID',
					'post_type'	  => 'attachment',
					'post_parent'	=> $post->ID,
					'post_mime_type' => 'image',
					'post_status'	=> null,
					// Change the number of images to show in the gallery below
					'numberposts'	=> $af_slider_count, 
				);
				$attachments = get_posts($args);
				if ($attachments) {
					foreach ($attachments as $attachment) {
						echo "\t\t\t\t\t<li>" . wp_get_attachment_image($attachment->ID, 'single-post-thumbnail', false, false) . "</li>\n";
					}
				} ?>
				</ul>
			</div>
		</div>
			
		<?php } elseif ( get_post_meta($post->ID, 'videoembed_value', true) ) {  ?>
			<div class="post-video-container">
			<?php $af_video_url = get_post_meta($post->ID, 'videoembed_value', true);
				$content = apply_filters('the_content', '<span>[embed width="800" height="600"]'.$af_video_url.'[/embed]</span>'); echo $content; ?>
			</div>
		
		<?php } else { ?>
			<div class="post-image-container">
			<?php if ( get_post_meta($post->ID, 'copyright_value', true) ) {  ?>
				<span class="photo-credit"><?php echo get_post_meta($post->ID, 'copyright_value', true); ?></span>
			<?php } else { ?>
				<?php autofocus_credit(); ?>
			<?php } ?>

			<?php if ( has_post_thumbnail() ) { ?>
					<?php the_post_thumbnail('single-post-thumbnail'); ?>

			<?php } else { ?>
				<?php the_post_image('afsingle'); ?>

			<?php } ?>
			</div>
		<?php }  ?>
		
		<h1 class="entry-title"><?php the_title(); ?></h1>

<?php //next line by sebastien
//} elseif ( is_archive() || is_search() && !is_page_template('blog-template.php') && !is_page_template('template-page-blog.php') ) { ?>
<?php } elseif ( is_search() && !is_page_template('blog-template.php') && !is_page_template('template-page-blog.php') ) { ?>
	<?php if ( $post->post_type == 'post' ) { //	Hide entry utility on searches ?>
			
		<?php if ( get_post_meta($post->ID, 'enable_flickr', true) ) { ?>
			<a href="<?php the_permalink() ?>" rel="bookmark" class="post-image-container">
			<?php 
			// Flickr Loop
			$af_flickr_photos = new phpFlickr($af_flickr_api_key);
			$flickr_user_id = getFlickrUserId();
			$images = $af_flickr_photos->photosets_getPhotos(get_post_meta( $post->ID, 'flickr_set', true ), NULL, NULL, 1); ?>	
			<?php foreach ($images['photoset']['photo'] as $image) { ?>
				<img style="min-width:190px;min-height:190px;" src="<?php echo $af_flickr_photos->buildPhotoURL( $image, "small" ); ?>" alt="<?php echo $image['title']; ?>" />
			<?php } ?>
			</a>
		<?php } elseif ( has_post_thumbnail() ) { ?>
				<a href="<?php the_permalink() ?>" rel="bookmark" class="post-image-container"><?php the_post_thumbnail('archive-thumbnail'); ?></a>
		<?php } else { ?>
				<a href="<?php the_permalink() ?>" rel="bookmark" class="post-image-container"><?php the_post_image('afthumb'); ?></a>
		<?php } ?>

	<?php } ?>				

	<h2 class="entry-title"><a href="<?php the_permalink() ?>" title="<?php printf(__('Permalink to %s', 'thematic'), esc_html(get_the_title(), 1)) ?>" rel="bookmark"><?php the_title(); ?></a></h2>

<?php } else { ?>

	<?php af_postheader_title_date(); ?>

<?php } }
add_filter ('thematic_postheader_posttitle', 'autofocus_postheader');

//	AutoFocus Post Meta
function autofocus_postmeta() {
	global $post, $afoptions;
	foreach ($afoptions as $afvalue) {
	    if (isset($afvalue['id']) && get_option( $afvalue['id'] ) === FALSE && isset($afvalue['std'])) { $$afvalue['id'] = $afvalue['std']; } 
	    elseif (isset($afvalue['id'])) { $$afvalue['id'] = get_option( $afvalue['id'] ); }
	}

	if (is_single() && ( $af_layout == 'grid' ) ) {
		// Move .entry-meta below the .entry-content

	} elseif (is_single()) { ?>
				<div class="entry-meta">
				<?php if ( $af_title_date != 'title' ) { ?>
					<span class="entry-date"><abbr class="published" title="<?php the_time('Y-m-d\TH:i:sO') ?>"><?php the_time('j M') ?></abbr></span>
				<?php } ?>
					<?php if ($af_show_exif_data == 'true' && has_post_thumbnail() && ( get_post_meta($post->ID, 'videoembed_value', true) == '' && get_post_meta($post->ID, 'show_gallery', true) == false )) { ?>
					<span class="exif-data"><a href="<?php echo exif_link(); ?>#exif-data"><?php _e('View Exif Data', 'thematic') ?></a></span>
					<?php } ?>
					<span class="cat-links"><?php printf(__('Filed under %s.', 'thematic'), get_the_category_list(', ')) ?></span>
					<?php echo get_the_tag_list("<span class=\"tag-links\"> Tagged ",', ','.</span>'); ?>
					<?php echo autofocus_postconnect(); ?>
					<?php edit_post_link(__('Edit', 'thematic'), "\t\n\t\t\t\t\t<span class=\"edit-link\">", "</span>\n"); ?>
				</div>

	<?php //next line by sebastien
	//} elseif (is_home()) {
	} elseif ((is_home())OR(is_category())) { ?>


		<?php if ($af_layout == 'default') { ?>

		<?php af_postentrymeta_title_date(); ?>
						
		<?php if ( get_post_meta($post->ID, 'enable_flickr', true) ) { ?>
			<a href="<?php the_permalink() ?>" rel="bookmark" class="post-image-container">
			<?php 
			// Flickr Loop
			$af_flickr_photos = new phpFlickr($af_flickr_api_key);
			$flickr_user_id = getFlickrUserId();
			$images = $af_flickr_photos->photosets_getPhotos(get_post_meta( $post->ID, 'flickr_set', true ), NULL, NULL, 1); ?>	
			<?php foreach ($images['photoset']['photo'] as $image) { ?>
				<img style="min-width:190px;min-height:190px;" src="<?php echo $af_flickr_photos->buildPhotoURL( $image, 'medium' ); ?>" alt="<?php echo $image['title']; ?>" />
			<?php } ?>
			</a>

		<?php } elseif ( has_post_thumbnail() ) { ?>
					<a href="<?php the_permalink() ?>" rel="bookmark" class="post-image-container"><?php the_post_thumbnail('front-page-thumbnail'); ?></a>
		<?php } else { ?>
					<a href="<?php the_permalink() ?>" rel="bookmark" class="post-image-container"><?php the_post_image('aflarge'); ?></a>
		<?php }

		} elseif ($af_layout == 'grid') { ?>

		<?php af_postentrymeta_title_date(); ?>

		<?php if ( has_post_thumbnail() ) { ?>
			<a href="<?php the_permalink() ?>" rel="bookmark" class="post-image-container"><?php the_post_thumbnail('thumbnail'); ?></a>
		<?php } elseif ( get_post_meta($post->ID, 'enable_flickr', true) ) { ?>
			<a href="<?php the_permalink() ?>" rel="bookmark" class="post-image-container">
			<?php 
			// Flickr Loop
			$af_flickr_photos = new phpFlickr($af_flickr_api_key);
			$flickr_user_id = getFlickrUserId($af_flickr_username);
			$images = $af_flickr_photos->photosets_getPhotos(get_post_meta( $post->ID, 'flickr_set', true ), NULL, NULL, 1); ?>	
			<?php foreach ($images['photoset']['photo'] as $image) { ?>
				<img style="min-width:190px;min-height:190px;" src="<?php echo $af_flickr_photos->buildPhotoURL( $image, "small" ); ?>" alt="<?php echo $image['title']; ?>" />
			<?php } ?>
			</a>
		<?php } else { ?>
			<a href="<?php the_permalink() ?>" rel="bookmark" class="post-image-container"><?php the_post_image('afthumb'); ?></a>
		<?php } ?>

	<?php } ?>
				
<?php } else { ?>

				<div class="entry-meta">
					<span class="entry-date"><abbr class="published" title="<?php the_time('Y-m-d\TH:i:sO') ?>"><?php the_time('j M') ?></abbr></span>
					<span class="cat-links"><?php printf(__('Filed under %s.', 'thematic'), get_the_category_list(', ')) ?></span>
					<span class="comments-link"><?php comments_popup_link(__('No comments.', 'thematic'), __('1 Comment.', 'thematic'), __('% Comments.', 'thematic'), '', '') ?></span>
					<?php edit_post_link(__('Edit', 'thematic'), "\t\n\t\t\t\t\t<span class=\"edit-link\">", "</span>\n"); ?>
				</div>

<?php } }
add_filter ('thematic_postheader_postmeta', 'autofocus_postmeta');

//	AutoFocus Post Footer
function childtheme_override_postfooter() {
	global $post, $afoptions;
	foreach ($afoptions as $afvalue) {
	    if (isset($afvalue['id']) && get_option( $afvalue['id'] ) === FALSE && isset($afvalue['std'])) { $$afvalue['id'] = $afvalue['std']; } 
	    elseif (isset($afvalue['id'])) { $$afvalue['id'] = get_option( $afvalue['id'] ); }
	}
 
	if ( ( $af_layout == 'grid' ) && is_single() ) { ?>
		<div class="entry-meta">
		<?php if ( $af_title_date != 'title' ) { ?>
			<span class="entry-date"><abbr class="published" title="<?php the_time('Y-m-d\TH:i:sO') ?>"><?php the_time('j M') ?></abbr></span>
		<?php } ?>
		<?php if ( ( $af_show_exif_data == 'true' && has_post_thumbnail() )  && ( get_post_meta($post->ID, 'videoembed_value', true) == '' ) && ( !get_post_meta($post->ID, 'show_gallery', true) ) && ( !get_post_meta($post->ID, 'enable_flickr', true) ) ) { ?>
			<span class="exif-data"><a href="<?php echo exif_link(); ?>/#exif-data"><?php _e('View Exif Data', 'thematic') ?></a></span>
		<?php } ?>
			<span class="cat-links"><?php printf(__('Filed under %s.', 'thematic'), get_the_category_list(', ')) ?></span>
			<?php echo get_the_tag_list("<span class=\"tag-links\"> Tagged ",', ','.</span>'); ?>
			<?php echo autofocus_postconnect(); ?>
			<?php edit_post_link(__('Edit', 'thematic'), "\t\n\t\t\t\t\t<span class=\"edit-link\">", "</span>\n"); ?>
		</div>
		
		<?php
		// Grabe the blog category ID
		$af_blog_catid = get_cat_ID($af_blog_cat);

		 if ( is_active_sidebar('single-sidebar') && (in_category($af_blog_catid) || is_page()) ) {
			echo thematic_before_widget_area('single-sidebar');
			dynamic_sidebar('single-sidebar');
			echo thematic_after_widget_area('single-sidebar');
		}

	} elseif ( is_single() || is_page() ) {

		if (is_active_sidebar('single-sidebar')) {
			echo thematic_before_widget_area('single-sidebar');
			dynamic_sidebar('single-sidebar');
			echo thematic_after_widget_area('single-sidebar');
		}

	} elseif (is_home()) { ?>
		<div class="entry-utility">
			<?php edit_post_link(__('Edit', 'thematic'), "\t\n\t\t\t\t\t<span class=\"edit-link\">", "</span>\n"); ?>
		</div><!-- .entry-utility -->

	<?php } else {
		//	Show nothing
	}
}
add_filter('thematic_postfooter', 'childtheme_override_postfooter');

//	AutoFocus Post Connect
function autofocus_postconnect() { ?>
	<?php printf(__('<span class="bookmark">Bookmark the <a href="%1$s" title="Permalink to %2$s" rel="bookmark">permalink</a>.</span>', 'thematic'),
		get_permalink(),
		esc_html(get_the_title(), 'double') ) ?>
	<?php if ((comments_open()) && (pings_open())) : //	Comments and trackbacks open ?>
			<?php printf(__('<span class="post-a-comment"><a class="comment-link" href="#respond" title="Post a comment">Post a comment</a>.</span> <span class="trackback">Leave a <a class="trackback-link" href="%s" title="Trackback URL for your post" rel="trackback">Trackback (URL)</a>.</span>', 'thematic'), get_trackback_url()) ?>
	<?php elseif (!(comments_open()) && (pings_open())) : //	Only trackbacks open ?>
			<?php printf(__('<span class="trackback">Leave a <a class="trackback-link" href="%s" title="Trackback URL for your post" rel="trackback">Trackback (URL)</a>.</span>', 'thematic'), get_trackback_url()) ?>
	<?php elseif ((comments_open()) && !(pings_open())) : //	Only comments open ?>
			<?php printf(__('<span class="post-a-comment"><a class="comment-link" href="#respond" title="Post a comment">Post a comment</a>.</span>', 'thematic')) ?>
	<?php elseif (!(comments_open()) && !(pings_open())) : //	Comments and trackbacks closed ?>
			<?php // Show nothing ?>
	<?php endif; ?>
<?php }
// add_filter('thematic_postfooter_postconnect', 'autofocus_postconnect');


//	UNregister non-used sidebars
function childtheme_sidebars_init() {
	
	// Register the 4th Subsidairy Sidebar
	register_sidebar(array(
		'name' => '4th Subsidiary Aside',
		'id' => '4th-subsidiary-aside',
		'description' => __('The 4th widget area in the footer.', 'thematic'),
		'before_widget' => thematic_before_widget(),
		'after_widget' => thematic_after_widget(),
		'before_title' => thematic_before_title(),
		'after_title' => thematic_after_title(),
	));

	// Register the Single Page Sidebar
	register_sidebar(array(
		'name' => 'Single Page Sidebar',
		'id' => 'single-sidebar',
		'description' => __('This widget area shows up under the post meta on Single Posts and Pages.', 'thematic'),
		'before_widget' => thematic_before_widget(),
		'after_widget' => thematic_after_widget(),
		'before_title' => thematic_before_title(),
		'after_title' => thematic_after_title(),
	));

	// Register the Intro Sidebar
	register_sidebar(array(
		'name' => 'Intro Sidebar',
		'id' => 'intro-sidebar',
		'description' => __('This widget area shows up on the Front Page just below the header.', 'thematic'),
		'before_widget' => thematic_before_widget(),
		'after_widget' => thematic_after_widget(),
		'before_title' => thematic_before_title(),
		'after_title' => thematic_after_title(),
	));

	// Register the Leader Board Sidebar
	register_sidebar(array(
		'name' => 'Leader Board Sidebar',
		'id' => 'leader-board-sidebar',
		'description' => __('This widget area shows up above the header and is best used for Leader Board ads (728px x 90px).', 'thematic'),
		'before_widget' => thematic_before_widget(),
		'after_widget' => thematic_after_widget(),
		'before_title' => thematic_before_title(),
		'after_title' => thematic_after_title(),
	));

	unregister_sidebar('primary-aside');
	unregister_sidebar('secondary-aside');
	unregister_sidebar('index-top');
	unregister_sidebar('index-insert');
	unregister_sidebar('index-bottom');
	unregister_sidebar('single-top');
	unregister_sidebar('single-insert');
	unregister_sidebar('single-bottom');
	unregister_sidebar('page-top');
	unregister_sidebar('page-bottom');
}
add_action( 'init', 'childtheme_sidebars_init',20 );

// Add 4th Sidebar Area
function add_fourth_sidebar() {
	if (is_active_sidebar('4th-subsidiary-aside')) {
		echo thematic_before_widget_area('4th-subsidiary-aside');
		dynamic_sidebar('4th-subsidiary-aside');
		echo thematic_after_widget_area('4th-subsidiary-aside');
	}
}
add_action('thematic_after_third_sub','add_fourth_sidebar');

// Add Leader Board Side Bar Above Header
function add_leaderboard_sidebar() { ?>
	<div id="leader-board-wrapper">
	<?php if (is_active_sidebar('leader-board-sidebar')) {
		echo thematic_before_widget_area('leader-board-sidebar');
		dynamic_sidebar('leader-board-sidebar');
		echo thematic_after_widget_area('leader-board-sidebar');
	} ?>
	</div>
<?php }
add_action('thematic_aboveheader','add_leaderboard_sidebar');

//	Filter the Footer Link
function childtheme_theme_link($themelink) {
	$loginlinkage = thmfooter_login_link();
	return '<a class="child-theme-link" href="http://fthrwght.com/autofocus/" title="AutoFocus+ Pro" rel="theme">AutoFocus+ Pro Child Theme</a> &amp; the ' . $themelink . '. ' . $loginlinkage;
}
add_filter('thematic_theme_link', 'childtheme_theme_link');

// Adds Commented Credit
function author_credit() { ?>
<!-- Site design based on AutoFocus+ Pro by Allan Cole for http://fthrwght.com/autofocus -->
<?php }
add_action('wp_footer','author_credit');

?>